Bug 568052 - Review Request: normaliz - A tool for mathematical computations
Summary: Review Request: normaliz - A tool for mathematical computations
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-24 17:10 UTC by Mark Chappell
Modified: 2016-08-14 16:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-02 14:53:16 UTC
terjeros: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Mark Chappell 2010-02-24 17:10:47 UTC
Spec URL: http://tremble.fedorapeople.org/packages/normaliz.spec
SRPM URL: http://tremble.fedorapeople.org/packages/normaliz-2.2-1.fc12.src.rpm
Description: 
Normaliz is a (command line) tool for computations in affine
monoids, vector configurations, lattice polytopes,  and rational
cones.

Comment 1 Terje Røsten 2010-02-25 10:01:58 UTC
Seems mostly ok, could you add a reference to the PDF documentation in description
and move the examples to a subdir in doc?

Comment 2 Terje Røsten 2010-02-25 10:07:40 UTC
You are mixing $RPM_FOO and %{foo} style macros, use

%{optflags} and %{buildroot}

or $RPM_OPT_FLAGS and $RPM_BUILD_ROOT

(same issue in 4ti2, btw)

Comment 3 Mark Chappell 2010-02-25 10:30:24 UTC
(In reply to comment #1)
> Seems mostly ok, could you add a reference to the PDF documentation in
> description

How would you recommend referencing it?

Comment 4 Mark Chappell 2010-02-25 11:19:27 UTC
SRPM URL: http://tremble.fedorapeople.org/packages/normaliz-2.2-2.fc12.src.rpm

* examples moved into example subdirectory
* switched from $RPM_BUILD_ROOT to %{buildroot}
* description now includes a reference to Normaliz2.2Documentation.pdf

This does however now result in an rpmlint warning
normaliz.x86_64: W: macro-in-%description %{docdir}

Comment 5 Terje Røsten 2010-02-25 15:22:03 UTC
 ok rpmlint 
 ok naming
 ok spec
 ok license: GPLv3+
 ok lang
 ok sha1sum on src
   9313971e8b3ca30935727cd2f23a073654d7c4b4  Normaliz2.2Linux64.zip
   9313971e8b3ca30935727cd2f23a073654d7c4b4  Normaliz2.2Linux64.zip.1
 ok koji: 
   http://koji.fedoraproject.org/koji/taskinfo?taskID=2013794
 ok dirs
 ok perms

Some small issues fixed and this will get approved:

- in %install swap the two first lines:

pushd source
rm -rf %{buildroot}

->

rm -rf %{buildroot}
pushd source

- change last paragraph in desc to e.g.

Documentation and examples can be found in %{_docdir}/%{name}-%{version}, 
in particular you may find Normaliz%{version}Documentation.pdf useful.  
An example configuration file normaliz.cfg is also included.

- consider to use dos2unix -k ... or other means to preserve timestamps on 
*.in and *.out files.

- I don't like the spaces in
 
Computing the integral closure of an affine semigroup.pdf,

  but that's might be my problem.

Comment 6 Mark Chappell 2010-02-25 15:47:23 UTC
Updated SRPM: http://tremble.fedorapeople.org/packages/normaliz-2.2-3.fc12.src.rpm


- in %install swap the two first lines:
Done

- change last paragraph in desc:
Done

- consider to use dos2unix -k ... or other means to preserve timestamps
Time stamps being preserved by touch

- I don't like the spaces in
Neither do I, replace with _s

Comment 7 Terje Røsten 2010-02-25 15:55:34 UTC
Ok, this is good, now we are at the pedantic level, start all changelog lines
with lower or upper case letters, fix this during importing.


 The package normaliz is APPROVED.

Comment 8 Mark Chappell 2010-02-25 16:01:57 UTC
New Package CVS Request
=======================
Package Name: normaliz
Short Description: A tool for mathematical computations
Owners: tremble
Branches: F-12 F-13 EL-5

Comment 9 Jason Tibbitts 2010-02-25 17:51:04 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.